import logging
import logging
import os
import subprocess

from PyQt6 import QtWidgets

from nodes.MainUI import MainUI


def kde_pyqt6_mainui():
    subprocess.run(['python', __file__],
                   env=dict(XDG_CURRENT_DESKTOP="KDE",
                            XDG_RUNTIME_DIR="/run/user/1000",
                            XDG_SESSION_TYPE="wayland",
                            PYTHONPATH=os.environ['PYTHONPATH'])
                   )


if __name__ == '__main__':
    print(QtWidgets.QStyleFactory.keys())
    logging.basicConfig(level=logging.INFO)
    MainUI()()
